import { initWs } from '../../ws/index.ts';
import { WSServer } from '../ws-server.ts';
import { nanoid } from 'nanoid';

export const uuid = () => nanoid(16);

type VolcEngineBaseOptions = {
  url?: string;
  ws?: WebSocket;
  enabled?: boolean;
  onConnect?: () => void;
  wsOptions?: {
    headers?: {
      'X-Api-Resource-Id'?: string;
      'X-Api-Access-Key'?: string;
      'X-Api-App-Key'?: string;
      'X-Api-Request-Id'?: string;
      Authorization?: string;
    };
  };
};
export class VolcEngineBase extends WSServer {
  constructor(opts: VolcEngineBaseOptions) {
    super({
      url: opts.url,
      ws: opts.ws,
      onConnect: opts.onConnect,
      wsOptions: opts.wsOptions,
      enabled: opts.enabled,
    });
  }
  async onOpen() {
    console.log('VolcEngineBase onOpen');
    // 发送认证信息
  }
}
