import { defineConfig } from 'tsup';
// import glob from 'fast-glob';
// const services = glob.sync('src/services/*.ts');

const entrys = ['src/index.ts'];

export default defineConfig({
  entry: entrys,
  outExtension: ({ format }) => ({
    js: format === 'esm' ? '.mjs' : '.js',
  }),
  define: {
    'process.env.IS_BROWSER': JSON.stringify(process.env.BROWSER || false),
  },
  splitting: false,
  sourcemap: false,
  clean: true,
  format: 'esm',
  external: ['dotenv'],
  dts: true,
  outDir: 'dist',
  tsconfig: 'tsconfig.json',
});
